# Copyright 2021-2023 H2020 TeraFlow (https://www.teraflow-h2020.eu/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: 644f8ea4385acb720eab7317de057f9d1d8ebfe6
    app.quarkus.io/build-timestamp: 2022-02-14 - 10:21:58 +0000
  labels:
    app.kubernetes.io/name: automationservice
    app: automationservice
  name: automationservice
spec:
  ports:
    - name: http
      port: 8080
      targetPort: 8080
    - name: grpc-server
      port: 9999
      targetPort: 9999
  selector:
    app.kubernetes.io/name: automationservice
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: 644f8ea4385acb720eab7317de057f9d1d8ebfe6
    app.quarkus.io/build-timestamp: 2022-02-14 - 10:21:58 +0000
  labels:
    app: automationservice
    app.kubernetes.io/name: automationservice
  name: automationservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: automationservice
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: 644f8ea4385acb720eab7317de057f9d1d8ebfe6
        app.quarkus.io/build-timestamp: 2022-02-14 - 10:21:58 +0000
      labels:
        app: automationservice
        app.kubernetes.io/name: automationservice
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: DEVICE_SERVICE_HOST
              value: deviceservice
            - name: CONTEXT_SERVICE_HOST
              value: contextservice
          image: registry.gitlab.com/teraflow-h2020/controller/automation:0.2.0
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
          name: automationservice
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
            - containerPort: 9999
              name: grpc-server
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
